net.minecraft.inventory

## Interface IInventory

- All Known Subinterfaces:
    IHopper, ISidedInventory
  All Known Implementing Classes:
    AnimalChest, EntityMinecartChest, EntityMinecartContainer, EntityMinecartHopper, InventoryBasic, InventoryCrafting, InventoryCraftResult, InventoryEnderChest, InventoryLargeChest, InventoryMerchant, InventoryPlayer, TileEntityBeacon, TileEntityBrewingStand, TileEntityChest, TileEntityDispenser, TileEntityDropper, TileEntityFurnace, TileEntityHopper

      public interface IInventory

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `closeInventory()`
    `ItemStack` | `decrStackSize(int var1, int var2)`
    `java.lang.String` | `getInventoryName()`
    `int` | `getInventoryStackLimit()`
    `int` | `getSizeInventory()`
    `ItemStack` | `getStackInSlot(int var1)`
    `ItemStack` | `getStackInSlotOnClosing(int var1)`
    `boolean` | `hasCustomInventoryName()`
    `boolean` | `isItemValidForSlot(int var1, ItemStack var2)`
    `boolean` | `isUseableByPlayer(EntityPlayer var1)`
    `void` | `markDirty()`
    `void` | `openInventory()`
    `void` | `setInventorySlotContents(int var1, ItemStack var2)`

- - ### Method Detail

    - #### getSizeInventory

          int getSizeInventory()

    - #### getStackInSlot

          ItemStack getStackInSlot(int var1)

    - #### decrStackSize

          ItemStack decrStackSize(int var1,
                                int var2)

    - #### getStackInSlotOnClosing

          ItemStack getStackInSlotOnClosing(int var1)

    - #### setInventorySlotContents

          void setInventorySlotContents(int var1,
                                      ItemStack var2)

    - #### getInventoryName

          java.lang.String getInventoryName()

    - #### hasCustomInventoryName

          boolean hasCustomInventoryName()

    - #### getInventoryStackLimit

          int getInventoryStackLimit()

    - #### markDirty

          void markDirty()

    - #### isUseableByPlayer

          boolean isUseableByPlayer(EntityPlayer var1)

    - #### openInventory

          void openInventory()

    - #### closeInventory

          void closeInventory()

    - #### isItemValidForSlot

          boolean isItemValidForSlot(int var1,
                                   ItemStack var2)